Genetec Omnicast Video System may be unable to connect to - or exhibit video flicker with - Pelco Sarix Cameras or NET5400T Series Encoders running version 1.7.41 firmware.

Issue

Genetec Omnicast Video System version 4.8 SR1 is unable to connect or exhibits video flicker when viewing Sarix Platform Cameras and Encoders running version 1.7.41 firmware.

Symptoms include:

  • Genetec Omnicast can exhibit flicker on one or more video channels.
  • Genetec Omnicast can exhibit a "Connect Failed" message on one or more video channels.

Product Line

Pelco Cameras, Pelco Video Management

Environment

  • Genetec Omnicast Video System Version 4.8 SR1 or lower.
  • Pelco Sarix Platform Cameras and Encoders version 1.7.41 firmware.

Cause

An incompatibility has been identified between Genetec Omnicast Video System version 4.8 SR1 and lower and Pelco Sarix Platform Cameras and Encoders running version 1.7.41 firmware.

Resolution

To resolve, upgrade or downgrade affected Sarix Platform Camera(s) or Encoder(s) away from version 1.7.41 firmware.
note:
Genetic recommends update to Omnicast version 4.8 SR1 in this scenario. Please consult with Genetec Technical Support for Software updates.

Option #1: Update Sarix Platform Camera(s) or Encoder(s) to software version 1.8.2.11 or newer

  1. Download and install Endura Utilities version 2.3.13.0 or newer.  Refer to Lessons Learned Article #8397.
  2. Visit www.pelco.com to obtain the appropriate Firmware Update Packages (PPM) for the affected Sarix Platform Camera(s) or Encoder(s).
    example: NET5400T Firmware Package version 1.8.2.11 can be obtained from the NET5400T Products Page Downloads Tab.
  3. Apply the Firmware Upgrade to the affected Sarix Platform Camera(s) or Encoder(s). Refer to Lessons Learned Article #11405

or...

Option #2: Downgrade Sarix Platform Camera(s) or Encoder(s) to software version 1.7.20 or lower

  1. Use the below links to download version 1.7.20 or 1.7.19 Firmware Downgrade Packages (PPM) for all affected Sarix Platform Camera(s) or Encoder(s).
    NET5400T Series Encoders: NET5401T version 1.7.20 | NET5402T version 1.7.20 | NET5404T version 1.7.20
    note: If you are unable to locate the Firmware Downgrade Package, contact Pelco Product Support for assistance.
  2. Apply the Firmware Downgrade to the affected Sarix Platform Camera(s) or Encoder(s). Refer to Lessons Learned Article #10718